<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSDD_Stammdaten" targetNamespace="http://tempuri.org/DSDD_Stammdaten.xsd" xmlns:mstns="http://tempuri.org/DSDD_Stammdaten.xsd" xmlns="http://tempuri.org/DSDD_Stammdaten.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="1" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="ECMConnectionStringDEFAULT" IsAppSettingsProperty="true" Modifier="Assembly" Name="ECMConnectionStringDEFAULT (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.DigitalData.GUIs.ZooFlow.Settings.GlobalReference.Default.ECMConnectionStringDEFAULT" Provider="System.Data.SqlClient" />
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="DD_ECMConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="DD_ECMConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.DigitalData.GUIs.ZooFlow.Settings.GlobalReference.Default.DD_ECMConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="TBDD_CONNECTIONTableAdapter" GeneratorDataComponentClassName="TBDD_CONNECTIONTableAdapter" Name="TBDD_CONNECTION" UserDataComponentName="TBDD_CONNECTIONTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="DD_ECMConnectionString (Settings)" DbObjectName="DD_ECM.dbo.TBDD_CONNECTION" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [TBDD_CONNECTION] WHERE (([GUID] = @Original_GUID) AND ((@IsNull_BEZEICHNUNG = 1 AND [BEZEICHNUNG] IS NULL) OR ([BEZEICHNUNG] = @Original_BEZEICHNUNG)) AND ((@IsNull_SQL_PROVIDER = 1 AND [SQL_PROVIDER] IS NULL) OR ([SQL_PROVIDER] = @Original_SQL_PROVIDER)) AND ((@IsNull_SERVER = 1 AND [SERVER] IS NULL) OR ([SERVER] = @Original_SERVER)) AND ((@IsNull_DATENBANK = 1 AND [DATENBANK] IS NULL) OR ([DATENBANK] = @Original_DATENBANK)) AND ((@IsNull_USERNAME = 1 AND [USERNAME] IS NULL) OR ([USERNAME] = @Original_USERNAME)) AND ((@IsNull_PASSWORD = 1 AND [PASSWORD] IS NULL) OR ([PASSWORD] = @Original_PASSWORD)) AND ((@IsNull_BEMERKUNG = 1 AND [BEMERKUNG] IS NULL) OR ([BEMERKUNG] = @Original_BEMERKUNG)) AND ([AKTIV] = @Original_AKTIV) AND ([ERSTELLTWER] = @Original_ERSTELLTWER) AND ((@IsNull_ERSTELLTWANN = 1 AND [ERSTELLTWANN] IS NULL) OR ([ERSTELLTWANN] = @Original_ERSTELLTWANN)) AND ((@IsNull_GEANDERTWER = 1 AND [GEANDERTWER] IS NULL) OR ([GEANDERTWER] = @Original_GEANDERTWER)) AND ((@IsNull_GEAENDERTWANN = 1 AND [GEAENDERTWANN] IS NULL) OR ([GEAENDERTWANN] = @Original_GEAENDERTWANN)) AND ([SYS_CONNECTION] = @Original_SYS_CONNECTION))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int16" Direction="Input" ParameterName="@Original_GUID" Precision="0" ProviderType="SmallInt" Scale="0" Size="0" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BEZEICHNUNG" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BEZEICHNUNG" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_BEZEICHNUNG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="BEZEICHNUNG" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SQL_PROVIDER" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SQL_PROVIDER" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SQL_PROVIDER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SQL_PROVIDER" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SERVER" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SERVER" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SERVER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SERVER" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DATENBANK" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DATENBANK" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_DATENBANK" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DATENBANK" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_USERNAME" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="USERNAME" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_USERNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="USERNAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PASSWORD" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PASSWORD" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PASSWORD" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PASSWORD" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BEMERKUNG" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BEMERKUNG" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_BEMERKUNG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="BEMERKUNG" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_AKTIV" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="AKTIV" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ERSTELLTWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ERSTELLTWER" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ERSTELLTWANN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ERSTELLTWANN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_ERSTELLTWANN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="ERSTELLTWANN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_GEANDERTWER" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="GEANDERTWER" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_GEANDERTWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="GEANDERTWER" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_GEAENDERTWANN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="GEAENDERTWANN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_GEAENDERTWANN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="GEAENDERTWANN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_SYS_CONNECTION" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="SYS_CONNECTION" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [TBDD_CONNECTION] ([BEZEICHNUNG], [SQL_PROVIDER], [SERVER], [DATENBANK], [USERNAME], [PASSWORD], [BEMERKUNG], [AKTIV], [ERSTELLTWER], [ERSTELLTWANN], [GEANDERTWER], [GEAENDERTWANN], [SYS_CONNECTION]) VALUES (@BEZEICHNUNG, @SQL_PROVIDER, @SERVER, @DATENBANK, @USERNAME, @PASSWORD, @BEMERKUNG, @AKTIV, @ERSTELLTWER, @ERSTELLTWANN, @GEANDERTWER, @GEAENDERTWANN, @SYS_CONNECTION);
SELECT GUID, BEZEICHNUNG, SQL_PROVIDER, SERVER, DATENBANK, USERNAME, PASSWORD, BEMERKUNG, AKTIV, ERSTELLTWER, ERSTELLTWANN, GEANDERTWER, GEAENDERTWANN, SYS_CONNECTION FROM TBDD_CONNECTION WHERE (GUID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@BEZEICHNUNG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="BEZEICHNUNG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SQL_PROVIDER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SQL_PROVIDER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SERVER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SERVER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@DATENBANK" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DATENBANK" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@USERNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="USERNAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PASSWORD" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PASSWORD" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@BEMERKUNG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="BEMERKUNG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@AKTIV" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="AKTIV" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ERSTELLTWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ERSTELLTWER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@ERSTELLTWANN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="ERSTELLTWANN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@GEANDERTWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="GEANDERTWER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@GEAENDERTWANN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="GEAENDERTWANN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@SYS_CONNECTION" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="SYS_CONNECTION" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT * FROM TBDD_CONNECTION</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       TBDD_CONNECTION
SET                BEZEICHNUNG = @BEZEICHNUNG, SQL_PROVIDER = @SQL_PROVIDER, SERVER = @SERVER, DATENBANK = @DATENBANK, USERNAME = @USERNAME, PASSWORD = @PASSWORD, BEMERKUNG = @BEMERKUNG, 
                         AKTIV = @AKTIV, ERSTELLTWER = @ERSTELLTWER, ERSTELLTWANN = @ERSTELLTWANN, GEANDERTWER = @GEANDERTWER, GEAENDERTWANN = @GEAENDERTWANN, 
                         SYS_CONNECTION = @SYS_CONNECTION
WHERE        (GUID = @Original_GUID); 
SELECT GUID, BEZEICHNUNG, SQL_PROVIDER, SERVER, DATENBANK, USERNAME, PASSWORD, BEMERKUNG, AKTIV, ERSTELLTWER, ERSTELLTWANN, GEANDERTWER, GEAENDERTWANN, SYS_CONNECTION FROM TBDD_CONNECTION WHERE (GUID = @GUID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="BEZEICHNUNG" ColumnName="BEZEICHNUNG" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@BEZEICHNUNG" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="BEZEICHNUNG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="SQL_PROVIDER" ColumnName="SQL_PROVIDER" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(50)" DbType="AnsiString" Direction="Input" ParameterName="@SQL_PROVIDER" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumn="SQL_PROVIDER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="SERVER" ColumnName="SERVER" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(150)" DbType="AnsiString" Direction="Input" ParameterName="@SERVER" Precision="0" ProviderType="VarChar" Scale="0" Size="150" SourceColumn="SERVER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="DATENBANK" ColumnName="DATENBANK" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@DATENBANK" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="DATENBANK" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="USERNAME" ColumnName="USERNAME" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@USERNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="USERNAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="PASSWORD" ColumnName="PASSWORD" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@PASSWORD" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="PASSWORD" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="BEMERKUNG" ColumnName="BEMERKUNG" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(400)" DbType="AnsiString" Direction="Input" ParameterName="@BEMERKUNG" Precision="0" ProviderType="VarChar" Scale="0" Size="400" SourceColumn="BEMERKUNG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="AKTIV" ColumnName="AKTIV" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="bit" DbType="Boolean" Direction="Input" ParameterName="@AKTIV" Precision="0" ProviderType="Bit" Scale="0" Size="1" SourceColumn="AKTIV" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ERSTELLTWER" ColumnName="ERSTELLTWER" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(50)" DbType="AnsiString" Direction="Input" ParameterName="@ERSTELLTWER" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumn="ERSTELLTWER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ERSTELLTWANN" ColumnName="ERSTELLTWANN" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@ERSTELLTWANN" Precision="0" ProviderType="DateTime" Scale="0" Size="8" SourceColumn="ERSTELLTWANN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="GEANDERTWER" ColumnName="GEANDERTWER" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="varchar(50)" DbType="AnsiString" Direction="Input" ParameterName="@GEANDERTWER" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumn="GEANDERTWER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="GEAENDERTWANN" ColumnName="GEAENDERTWANN" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@GEAENDERTWANN" Precision="0" ProviderType="DateTime" Scale="0" Size="8" SourceColumn="GEAENDERTWANN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="SYS_CONNECTION" ColumnName="SYS_CONNECTION" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="bit" DbType="Boolean" Direction="Input" ParameterName="@SYS_CONNECTION" Precision="0" ProviderType="Bit" Scale="0" Size="1" SourceColumn="SYS_CONNECTION" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_GUID" ColumnName="GUID" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="smallint" DbType="Int16" Direction="Input" ParameterName="@Original_GUID" Precision="0" ProviderType="SmallInt" Scale="0" Size="2" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="GUID" ColumnName="GUID" DataSourceName="DD_ECM.dbo.TBDD_CONNECTION" DataTypeServer="smallint" DbType="Int16" Direction="Input" ParameterName="@GUID" Precision="0" ProviderType="SmallInt" Scale="0" Size="2" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="GUID" DataSetColumn="GUID" />
              <Mapping SourceColumn="BEZEICHNUNG" DataSetColumn="BEZEICHNUNG" />
              <Mapping SourceColumn="SQL_PROVIDER" DataSetColumn="SQL_PROVIDER" />
              <Mapping SourceColumn="SERVER" DataSetColumn="SERVER" />
              <Mapping SourceColumn="DATENBANK" DataSetColumn="DATENBANK" />
              <Mapping SourceColumn="USERNAME" DataSetColumn="USERNAME" />
              <Mapping SourceColumn="PASSWORD" DataSetColumn="PASSWORD" />
              <Mapping SourceColumn="BEMERKUNG" DataSetColumn="BEMERKUNG" />
              <Mapping SourceColumn="AKTIV" DataSetColumn="AKTIV" />
              <Mapping SourceColumn="ERSTELLTWER" DataSetColumn="ERSTELLTWER" />
              <Mapping SourceColumn="ERSTELLTWANN" DataSetColumn="ERSTELLTWANN" />
              <Mapping SourceColumn="GEANDERTWER" DataSetColumn="GEANDERTWER" />
              <Mapping SourceColumn="GEAENDERTWANN" DataSetColumn="GEAENDERTWANN" />
              <Mapping SourceColumn="SYS_CONNECTION" DataSetColumn="SYS_CONNECTION" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="TBDD_USERTableAdapter" GeneratorDataComponentClassName="TBDD_USERTableAdapter" Name="TBDD_USER" UserDataComponentName="TBDD_USERTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="DD_ECMConnectionString (Settings)" DbObjectName="DD_ECM.dbo.TBDD_USER" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM TBDD_USER
WHERE        (GUID = @Original_GUID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_GUID" ColumnName="GUID" DataSourceName="DD_ECM.dbo.TBDD_USER" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_GUID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [TBDD_USER] ([PRENAME], [NAME], [USERNAME], [SHORTNAME], [EMAIL], [LANGUAGE], [GENERAL_VIEWER], [COMMENT], [WAN_ENVIRONMENT], [USERID_FK_INT_ECM], [ATTR_CHAR1], [ATTR_CHAR2], [ATTR_CHAR3], [ATTR_CHAR4], [ATTR_CHAR5], [ATTR_CHAR6], [ATTR_CHAR7], [ATTR_CHAR8], [ATTR_CHAR9], [ATTR_CHAR10], [ATTR_CHAR11], [ATTR_CHAR12], [ATTR_CHAR13], [ATTR_CHAR14], [ATTR_CHAR15], [ATTR_BIT1], [ATTR_BIT2], [ATTR_BIT3], [ATTR_BIT4], [DELETED], [DELETED_WHEN], [DELETED_WHO], [DATE_FORMAT], [ADDED_WHO], [ADDED_WHEN], [CHANGED_WHO], [CHANGED_WHEN]) VALUES (@PRENAME, @NAME, @USERNAME, @SHORTNAME, @EMAIL, @LANGUAGE, @GENERAL_VIEWER, @COMMENT, @WAN_ENVIRONMENT, @USERID_FK_INT_ECM, @ATTR_CHAR1, @ATTR_CHAR2, @ATTR_CHAR3, @ATTR_CHAR4, @ATTR_CHAR5, @ATTR_CHAR6, @ATTR_CHAR7, @ATTR_CHAR8, @ATTR_CHAR9, @ATTR_CHAR10, @ATTR_CHAR11, @ATTR_CHAR12, @ATTR_CHAR13, @ATTR_CHAR14, @ATTR_CHAR15, @ATTR_BIT1, @ATTR_BIT2, @ATTR_BIT3, @ATTR_BIT4, @DELETED, @DELETED_WHEN, @DELETED_WHO, @DATE_FORMAT, @ADDED_WHO, @ADDED_WHEN, @CHANGED_WHO, @CHANGED_WHEN);
SELECT GUID, PRENAME, NAME, USERNAME, SHORTNAME, EMAIL, LANGUAGE, GENERAL_VIEWER, COMMENT, WAN_ENVIRONMENT, USERID_FK_INT_ECM, ATTR_CHAR1, ATTR_CHAR2, ATTR_CHAR3, ATTR_CHAR4, ATTR_CHAR5, ATTR_CHAR6, ATTR_CHAR7, ATTR_CHAR8, ATTR_CHAR9, ATTR_CHAR10, ATTR_CHAR11, ATTR_CHAR12, ATTR_CHAR13, ATTR_CHAR14, ATTR_CHAR15, ATTR_BIT1, ATTR_BIT2, ATTR_BIT3, ATTR_BIT4, DELETED, DELETED_WHEN, DELETED_WHO, DATE_FORMAT, ADDED_WHO, ADDED_WHEN, CHANGED_WHO, CHANGED_WHEN FROM TBDD_USER WHERE (GUID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PRENAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PRENAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@NAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@USERNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="USERNAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SHORTNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SHORTNAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@EMAIL" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EMAIL" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LANGUAGE" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LANGUAGE" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@GENERAL_VIEWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="GENERAL_VIEWER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@COMMENT" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="COMMENT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@WAN_ENVIRONMENT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="WAN_ENVIRONMENT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@USERID_FK_INT_ECM" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="USERID_FK_INT_ECM" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR1" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR2" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR3" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR4" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR5" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR5" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR6" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR6" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR7" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR7" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR8" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR8" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR9" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR9" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR10" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR10" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR11" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR11" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR12" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR12" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR13" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR13" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR14" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR14" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR15" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR15" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT1" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT2" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT3" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT4" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@DELETED" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELETED" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@DELETED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="DELETED_WHEN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@DELETED_WHO" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="DELETED_WHO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@DATE_FORMAT" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DATE_FORMAT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ADDED_WHO" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ADDED_WHO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@ADDED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="ADDED_WHEN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CHANGED_WHO" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CHANGED_WHO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CHANGED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CHANGED_WHEN" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT * FROM TBDD_USER WHERE GUID = @USER_ID</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="USER_ID" ColumnName="GUID" DataSourceName="DD_ECM.dbo.TBDD_USER" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@USER_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [TBDD_USER] SET [PRENAME] = @PRENAME, [NAME] = @NAME, [USERNAME] = @USERNAME, [SHORTNAME] = @SHORTNAME, [EMAIL] = @EMAIL, [LANGUAGE] = @LANGUAGE, [GENERAL_VIEWER] = @GENERAL_VIEWER, [COMMENT] = @COMMENT, [WAN_ENVIRONMENT] = @WAN_ENVIRONMENT, [USERID_FK_INT_ECM] = @USERID_FK_INT_ECM, [ATTR_CHAR1] = @ATTR_CHAR1, [ATTR_CHAR2] = @ATTR_CHAR2, [ATTR_CHAR3] = @ATTR_CHAR3, [ATTR_CHAR4] = @ATTR_CHAR4, [ATTR_CHAR5] = @ATTR_CHAR5, [ATTR_CHAR6] = @ATTR_CHAR6, [ATTR_CHAR7] = @ATTR_CHAR7, [ATTR_CHAR8] = @ATTR_CHAR8, [ATTR_CHAR9] = @ATTR_CHAR9, [ATTR_CHAR10] = @ATTR_CHAR10, [ATTR_CHAR11] = @ATTR_CHAR11, [ATTR_CHAR12] = @ATTR_CHAR12, [ATTR_CHAR13] = @ATTR_CHAR13, [ATTR_CHAR14] = @ATTR_CHAR14, [ATTR_CHAR15] = @ATTR_CHAR15, [ATTR_BIT1] = @ATTR_BIT1, [ATTR_BIT2] = @ATTR_BIT2, [ATTR_BIT3] = @ATTR_BIT3, [ATTR_BIT4] = @ATTR_BIT4, [DELETED] = @DELETED, [DELETED_WHEN] = @DELETED_WHEN, [DELETED_WHO] = @DELETED_WHO, [DATE_FORMAT] = @DATE_FORMAT, [ADDED_WHO] = @ADDED_WHO, [ADDED_WHEN] = @ADDED_WHEN, [CHANGED_WHO] = @CHANGED_WHO, [CHANGED_WHEN] = @CHANGED_WHEN WHERE (([GUID] = @Original_GUID) AND ((@IsNull_PRENAME = 1 AND [PRENAME] IS NULL) OR ([PRENAME] = @Original_PRENAME)) AND ((@IsNull_NAME = 1 AND [NAME] IS NULL) OR ([NAME] = @Original_NAME)) AND ([USERNAME] = @Original_USERNAME) AND ((@IsNull_SHORTNAME = 1 AND [SHORTNAME] IS NULL) OR ([SHORTNAME] = @Original_SHORTNAME)) AND ((@IsNull_EMAIL = 1 AND [EMAIL] IS NULL) OR ([EMAIL] = @Original_EMAIL)) AND ([LANGUAGE] = @Original_LANGUAGE) AND ([GENERAL_VIEWER] = @Original_GENERAL_VIEWER) AND ((@IsNull_COMMENT = 1 AND [COMMENT] IS NULL) OR ([COMMENT] = @Original_COMMENT)) AND ([WAN_ENVIRONMENT] = @Original_WAN_ENVIRONMENT) AND ([USERID_FK_INT_ECM] = @Original_USERID_FK_INT_ECM) AND ((@IsNull_ATTR_CHAR1 = 1 AND [ATTR_CHAR1] IS NULL) OR ([ATTR_CHAR1] = @Original_ATTR_CHAR1)) AND ((@IsNull_ATTR_CHAR2 = 1 AND [ATTR_CHAR2] IS NULL) OR ([ATTR_CHAR2] = @Original_ATTR_CHAR2)) AND ((@IsNull_ATTR_CHAR3 = 1 AND [ATTR_CHAR3] IS NULL) OR ([ATTR_CHAR3] = @Original_ATTR_CHAR3)) AND ((@IsNull_ATTR_CHAR4 = 1 AND [ATTR_CHAR4] IS NULL) OR ([ATTR_CHAR4] = @Original_ATTR_CHAR4)) AND ((@IsNull_ATTR_CHAR5 = 1 AND [ATTR_CHAR5] IS NULL) OR ([ATTR_CHAR5] = @Original_ATTR_CHAR5)) AND ((@IsNull_ATTR_CHAR6 = 1 AND [ATTR_CHAR6] IS NULL) OR ([ATTR_CHAR6] = @Original_ATTR_CHAR6)) AND ((@IsNull_ATTR_CHAR7 = 1 AND [ATTR_CHAR7] IS NULL) OR ([ATTR_CHAR7] = @Original_ATTR_CHAR7)) AND ((@IsNull_ATTR_CHAR8 = 1 AND [ATTR_CHAR8] IS NULL) OR ([ATTR_CHAR8] = @Original_ATTR_CHAR8)) AND ((@IsNull_ATTR_CHAR9 = 1 AND [ATTR_CHAR9] IS NULL) OR ([ATTR_CHAR9] = @Original_ATTR_CHAR9)) AND ((@IsNull_ATTR_CHAR10 = 1 AND [ATTR_CHAR10] IS NULL) OR ([ATTR_CHAR10] = @Original_ATTR_CHAR10)) AND ((@IsNull_ATTR_CHAR11 = 1 AND [ATTR_CHAR11] IS NULL) OR ([ATTR_CHAR11] = @Original_ATTR_CHAR11)) AND ((@IsNull_ATTR_CHAR12 = 1 AND [ATTR_CHAR12] IS NULL) OR ([ATTR_CHAR12] = @Original_ATTR_CHAR12)) AND ((@IsNull_ATTR_CHAR13 = 1 AND [ATTR_CHAR13] IS NULL) OR ([ATTR_CHAR13] = @Original_ATTR_CHAR13)) AND ((@IsNull_ATTR_CHAR14 = 1 AND [ATTR_CHAR14] IS NULL) OR ([ATTR_CHAR14] = @Original_ATTR_CHAR14)) AND ((@IsNull_ATTR_CHAR15 = 1 AND [ATTR_CHAR15] IS NULL) OR ([ATTR_CHAR15] = @Original_ATTR_CHAR15)) AND ([ATTR_BIT1] = @Original_ATTR_BIT1) AND ([ATTR_BIT2] = @Original_ATTR_BIT2) AND ([ATTR_BIT3] = @Original_ATTR_BIT3) AND ([ATTR_BIT4] = @Original_ATTR_BIT4) AND ([DELETED] = @Original_DELETED) AND ((@IsNull_DELETED_WHEN = 1 AND [DELETED_WHEN] IS NULL) OR ([DELETED_WHEN] = @Original_DELETED_WHEN)) AND ((@IsNull_DELETED_WHO = 1 AND [DELETED_WHO] IS NULL) OR ([DELETED_WHO] = @Original_DELETED_WHO)) AND ([DATE_FORMAT] = @Original_DATE_FORMAT) AND ([ADDED_WHO] = @Original_ADDED_WHO) AND ((@IsNull_ADDED_WHEN = 1 AND [ADDED_WHEN] IS NULL) OR ([ADDED_WHEN] = @Original_ADDED_WHEN)) AND ((@IsNull_CHANGED_WHO = 1 AND [CHANGED_WHO] IS NULL) OR ([CHANGED_WHO] = @Original_CHANGED_WHO)) AND ((@IsNull_CHANGED_WHEN = 1 AND [CHANGED_WHEN] IS NULL) OR ([CHANGED_WHEN] = @Original_CHANGED_WHEN)));
SELECT GUID, PRENAME, NAME, USERNAME, SHORTNAME, EMAIL, LANGUAGE, GENERAL_VIEWER, COMMENT, WAN_ENVIRONMENT, USERID_FK_INT_ECM, ATTR_CHAR1, ATTR_CHAR2, ATTR_CHAR3, ATTR_CHAR4, ATTR_CHAR5, ATTR_CHAR6, ATTR_CHAR7, ATTR_CHAR8, ATTR_CHAR9, ATTR_CHAR10, ATTR_CHAR11, ATTR_CHAR12, ATTR_CHAR13, ATTR_CHAR14, ATTR_CHAR15, ATTR_BIT1, ATTR_BIT2, ATTR_BIT3, ATTR_BIT4, DELETED, DELETED_WHEN, DELETED_WHO, DATE_FORMAT, ADDED_WHO, ADDED_WHEN, CHANGED_WHO, CHANGED_WHEN FROM TBDD_USER WHERE (GUID = @GUID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PRENAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PRENAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@NAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@USERNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="USERNAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SHORTNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SHORTNAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@EMAIL" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EMAIL" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LANGUAGE" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LANGUAGE" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@GENERAL_VIEWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="GENERAL_VIEWER" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@COMMENT" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="COMMENT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@WAN_ENVIRONMENT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="WAN_ENVIRONMENT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@USERID_FK_INT_ECM" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="USERID_FK_INT_ECM" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR1" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR2" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR3" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR4" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR5" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR5" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR6" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR6" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR7" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR7" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR8" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR8" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR9" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR9" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR10" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR10" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR11" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR11" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR12" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR12" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR13" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR13" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR14" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR14" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ATTR_CHAR15" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR15" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT1" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT2" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT3" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@ATTR_BIT4" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@DELETED" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELETED" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@DELETED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="DELETED_WHEN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@DELETED_WHO" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="DELETED_WHO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@DATE_FORMAT" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DATE_FORMAT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@ADDED_WHO" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ADDED_WHO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@ADDED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="ADDED_WHEN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CHANGED_WHO" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CHANGED_WHO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CHANGED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CHANGED_WHEN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_GUID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PRENAME" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PRENAME" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PRENAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PRENAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NAME" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_NAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_USERNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="USERNAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SHORTNAME" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SHORTNAME" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SHORTNAME" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SHORTNAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EMAIL" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EMAIL" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_EMAIL" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EMAIL" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_LANGUAGE" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LANGUAGE" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_GENERAL_VIEWER" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="GENERAL_VIEWER" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_COMMENT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="COMMENT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_COMMENT" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="COMMENT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_WAN_ENVIRONMENT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="WAN_ENVIRONMENT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_USERID_FK_INT_ECM" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="USERID_FK_INT_ECM" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR1" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR2" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR3" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR3" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR3" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR3" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR4" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR4" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR4" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR4" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR5" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR5" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR5" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR5" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR6" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR6" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR6" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR6" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR7" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR7" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR7" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR7" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR8" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR8" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR8" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR8" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR9" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR9" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR9" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR9" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR10" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR10" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR10" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR10" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR11" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR11" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR11" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR11" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR12" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR12" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR12" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR12" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR13" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR13" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR13" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR13" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR14" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR14" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR14" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR14" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ATTR_CHAR15" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ATTR_CHAR15" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ATTR_CHAR15" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ATTR_CHAR15" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_ATTR_BIT1" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_ATTR_BIT2" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_ATTR_BIT3" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT3" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_ATTR_BIT4" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="ATTR_BIT4" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_DELETED" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELETED" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DELETED_WHEN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DELETED_WHEN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_DELETED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="DELETED_WHEN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DELETED_WHO" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DELETED_WHO" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_DELETED_WHO" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="DELETED_WHO" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_DATE_FORMAT" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DATE_FORMAT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_ADDED_WHO" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="ADDED_WHO" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDED_WHEN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDED_WHEN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_ADDED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="ADDED_WHEN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CHANGED_WHO" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CHANGED_WHO" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CHANGED_WHO" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CHANGED_WHO" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CHANGED_WHEN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CHANGED_WHEN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CHANGED_WHEN" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CHANGED_WHEN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="GUID" ColumnName="GUID" DataSourceName="DD_ECM.dbo.TBDD_USER" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@GUID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="GUID" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="GUID" DataSetColumn="GUID" />
              <Mapping SourceColumn="PRENAME" DataSetColumn="PRENAME" />
              <Mapping SourceColumn="NAME" DataSetColumn="NAME" />
              <Mapping SourceColumn="USERNAME" DataSetColumn="USERNAME" />
              <Mapping SourceColumn="SHORTNAME" DataSetColumn="SHORTNAME" />
              <Mapping SourceColumn="EMAIL" DataSetColumn="EMAIL" />
              <Mapping SourceColumn="LANGUAGE" DataSetColumn="LANGUAGE" />
              <Mapping SourceColumn="GENERAL_VIEWER" DataSetColumn="GENERAL_VIEWER" />
              <Mapping SourceColumn="COMMENT" DataSetColumn="COMMENT" />
              <Mapping SourceColumn="WAN_ENVIRONMENT" DataSetColumn="WAN_ENVIRONMENT" />
              <Mapping SourceColumn="USERID_FK_INT_ECM" DataSetColumn="USERID_FK_INT_ECM" />
              <Mapping SourceColumn="ATTR_CHAR1" DataSetColumn="ATTR_CHAR1" />
              <Mapping SourceColumn="ATTR_CHAR2" DataSetColumn="ATTR_CHAR2" />
              <Mapping SourceColumn="ATTR_CHAR3" DataSetColumn="ATTR_CHAR3" />
              <Mapping SourceColumn="ATTR_CHAR4" DataSetColumn="ATTR_CHAR4" />
              <Mapping SourceColumn="ATTR_CHAR5" DataSetColumn="ATTR_CHAR5" />
              <Mapping SourceColumn="ATTR_CHAR6" DataSetColumn="ATTR_CHAR6" />
              <Mapping SourceColumn="ATTR_CHAR7" DataSetColumn="ATTR_CHAR7" />
              <Mapping SourceColumn="ATTR_CHAR8" DataSetColumn="ATTR_CHAR8" />
              <Mapping SourceColumn="ATTR_CHAR9" DataSetColumn="ATTR_CHAR9" />
              <Mapping SourceColumn="ATTR_CHAR10" DataSetColumn="ATTR_CHAR10" />
              <Mapping SourceColumn="ATTR_CHAR11" DataSetColumn="ATTR_CHAR11" />
              <Mapping SourceColumn="ATTR_CHAR12" DataSetColumn="ATTR_CHAR12" />
              <Mapping SourceColumn="ATTR_CHAR13" DataSetColumn="ATTR_CHAR13" />
              <Mapping SourceColumn="ATTR_CHAR14" DataSetColumn="ATTR_CHAR14" />
              <Mapping SourceColumn="ATTR_CHAR15" DataSetColumn="ATTR_CHAR15" />
              <Mapping SourceColumn="ATTR_BIT1" DataSetColumn="ATTR_BIT1" />
              <Mapping SourceColumn="ATTR_BIT2" DataSetColumn="ATTR_BIT2" />
              <Mapping SourceColumn="ATTR_BIT3" DataSetColumn="ATTR_BIT3" />
              <Mapping SourceColumn="ATTR_BIT4" DataSetColumn="ATTR_BIT4" />
              <Mapping SourceColumn="DELETED" DataSetColumn="DELETED" />
              <Mapping SourceColumn="DELETED_WHEN" DataSetColumn="DELETED_WHEN" />
              <Mapping SourceColumn="DELETED_WHO" DataSetColumn="DELETED_WHO" />
              <Mapping SourceColumn="DATE_FORMAT" DataSetColumn="DATE_FORMAT" />
              <Mapping SourceColumn="ADDED_WHO" DataSetColumn="ADDED_WHO" />
              <Mapping SourceColumn="ADDED_WHEN" DataSetColumn="ADDED_WHEN" />
              <Mapping SourceColumn="CHANGED_WHO" DataSetColumn="CHANGED_WHO" />
              <Mapping SourceColumn="CHANGED_WHEN" DataSetColumn="CHANGED_WHEN" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSDD_Stammdaten" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSDD_Stammdaten" msprop:Generator_UserDSName="DSDD_Stammdaten">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="TBDD_CONNECTION" msprop:Generator_TableClassName="TBDD_CONNECTIONDataTable" msprop:Generator_TableVarName="tableTBDD_CONNECTION" msprop:Generator_RowChangedName="TBDD_CONNECTIONRowChanged" msprop:Generator_TablePropName="TBDD_CONNECTION" msprop:Generator_RowDeletingName="TBDD_CONNECTIONRowDeleting" msprop:Generator_RowChangingName="TBDD_CONNECTIONRowChanging" msprop:Generator_RowEvHandlerName="TBDD_CONNECTIONRowChangeEventHandler" msprop:Generator_RowDeletedName="TBDD_CONNECTIONRowDeleted" msprop:Generator_RowClassName="TBDD_CONNECTIONRow" msprop:Generator_UserTableName="TBDD_CONNECTION" msprop:Generator_RowEvArgName="TBDD_CONNECTIONRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="GUID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnGUID" msprop:Generator_ColumnPropNameInRow="GUID" msprop:Generator_ColumnPropNameInTable="GUIDColumn" msprop:Generator_UserColumnName="GUID" type="xs:short" />
              <xs:element name="BEZEICHNUNG" msprop:Generator_ColumnVarNameInTable="columnBEZEICHNUNG" msprop:Generator_ColumnPropNameInRow="BEZEICHNUNG" msprop:Generator_ColumnPropNameInTable="BEZEICHNUNGColumn" msprop:Generator_UserColumnName="BEZEICHNUNG" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SQL_PROVIDER" msprop:Generator_ColumnVarNameInTable="columnSQL_PROVIDER" msprop:Generator_ColumnPropNameInRow="SQL_PROVIDER" msprop:Generator_ColumnPropNameInTable="SQL_PROVIDERColumn" msprop:Generator_UserColumnName="SQL_PROVIDER" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SERVER" msprop:Generator_ColumnVarNameInTable="columnSERVER" msprop:Generator_ColumnPropNameInRow="SERVER" msprop:Generator_ColumnPropNameInTable="SERVERColumn" msprop:Generator_UserColumnName="SERVER" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="150" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DATENBANK" msprop:Generator_ColumnVarNameInTable="columnDATENBANK" msprop:Generator_ColumnPropNameInRow="DATENBANK" msprop:Generator_ColumnPropNameInTable="DATENBANKColumn" msprop:Generator_UserColumnName="DATENBANK" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="USERNAME" msprop:Generator_ColumnVarNameInTable="columnUSERNAME" msprop:Generator_ColumnPropNameInRow="USERNAME" msprop:Generator_ColumnPropNameInTable="USERNAMEColumn" msprop:Generator_UserColumnName="USERNAME" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PASSWORD" msprop:Generator_ColumnVarNameInTable="columnPASSWORD" msprop:Generator_ColumnPropNameInRow="PASSWORD" msprop:Generator_ColumnPropNameInTable="PASSWORDColumn" msprop:Generator_UserColumnName="PASSWORD" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BEMERKUNG" msprop:Generator_ColumnVarNameInTable="columnBEMERKUNG" msprop:Generator_ColumnPropNameInRow="BEMERKUNG" msprop:Generator_ColumnPropNameInTable="BEMERKUNGColumn" msprop:Generator_UserColumnName="BEMERKUNG" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="400" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="AKTIV" msprop:Generator_ColumnVarNameInTable="columnAKTIV" msprop:Generator_ColumnPropNameInRow="AKTIV" msprop:Generator_ColumnPropNameInTable="AKTIVColumn" msprop:Generator_UserColumnName="AKTIV" type="xs:boolean" />
              <xs:element name="ERSTELLTWER" msprop:Generator_ColumnVarNameInTable="columnERSTELLTWER" msprop:Generator_ColumnPropNameInRow="ERSTELLTWER" msprop:Generator_ColumnPropNameInTable="ERSTELLTWERColumn" msprop:Generator_UserColumnName="ERSTELLTWER">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ERSTELLTWANN" msprop:Generator_ColumnVarNameInTable="columnERSTELLTWANN" msprop:Generator_ColumnPropNameInRow="ERSTELLTWANN" msprop:Generator_ColumnPropNameInTable="ERSTELLTWANNColumn" msprop:Generator_UserColumnName="ERSTELLTWANN" type="xs:dateTime" minOccurs="0" />
              <xs:element name="GEANDERTWER" msprop:Generator_ColumnVarNameInTable="columnGEANDERTWER" msprop:Generator_ColumnPropNameInRow="GEANDERTWER" msprop:Generator_ColumnPropNameInTable="GEANDERTWERColumn" msprop:Generator_UserColumnName="GEANDERTWER" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="GEAENDERTWANN" msprop:Generator_ColumnVarNameInTable="columnGEAENDERTWANN" msprop:Generator_ColumnPropNameInRow="GEAENDERTWANN" msprop:Generator_ColumnPropNameInTable="GEAENDERTWANNColumn" msprop:Generator_UserColumnName="GEAENDERTWANN" type="xs:dateTime" minOccurs="0" />
              <xs:element name="SYS_CONNECTION" msprop:Generator_ColumnVarNameInTable="columnSYS_CONNECTION" msprop:Generator_ColumnPropNameInRow="SYS_CONNECTION" msprop:Generator_ColumnPropNameInTable="SYS_CONNECTIONColumn" msprop:Generator_UserColumnName="SYS_CONNECTION" type="xs:boolean" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="TBDD_USER" msprop:Generator_TableClassName="TBDD_USERDataTable" msprop:Generator_TableVarName="tableTBDD_USER" msprop:Generator_RowChangedName="TBDD_USERRowChanged" msprop:Generator_TablePropName="TBDD_USER" msprop:Generator_RowDeletingName="TBDD_USERRowDeleting" msprop:Generator_RowChangingName="TBDD_USERRowChanging" msprop:Generator_RowEvHandlerName="TBDD_USERRowChangeEventHandler" msprop:Generator_RowDeletedName="TBDD_USERRowDeleted" msprop:Generator_RowClassName="TBDD_USERRow" msprop:Generator_UserTableName="TBDD_USER" msprop:Generator_RowEvArgName="TBDD_USERRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="GUID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnGUID" msprop:Generator_ColumnPropNameInRow="GUID" msprop:Generator_ColumnPropNameInTable="GUIDColumn" msprop:Generator_UserColumnName="GUID" type="xs:int" />
              <xs:element name="PRENAME" msprop:Generator_ColumnVarNameInTable="columnPRENAME" msprop:Generator_ColumnPropNameInRow="PRENAME" msprop:Generator_ColumnPropNameInTable="PRENAMEColumn" msprop:Generator_UserColumnName="PRENAME" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NAME" msprop:Generator_ColumnVarNameInTable="columnNAME" msprop:Generator_ColumnPropNameInRow="NAME" msprop:Generator_ColumnPropNameInTable="NAMEColumn" msprop:Generator_UserColumnName="NAME" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="USERNAME" msprop:Generator_ColumnVarNameInTable="columnUSERNAME" msprop:Generator_ColumnPropNameInRow="USERNAME" msprop:Generator_ColumnPropNameInTable="USERNAMEColumn" msprop:Generator_UserColumnName="USERNAME">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SHORTNAME" msprop:Generator_ColumnVarNameInTable="columnSHORTNAME" msprop:Generator_ColumnPropNameInRow="SHORTNAME" msprop:Generator_ColumnPropNameInTable="SHORTNAMEColumn" msprop:Generator_UserColumnName="SHORTNAME" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EMAIL" msprop:Generator_ColumnVarNameInTable="columnEMAIL" msprop:Generator_ColumnPropNameInRow="EMAIL" msprop:Generator_ColumnPropNameInTable="EMAILColumn" msprop:Generator_UserColumnName="EMAIL" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="LANGUAGE" msprop:Generator_ColumnVarNameInTable="columnLANGUAGE" msprop:Generator_ColumnPropNameInRow="LANGUAGE" msprop:Generator_ColumnPropNameInTable="LANGUAGEColumn" msprop:Generator_UserColumnName="LANGUAGE">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="GENERAL_VIEWER" msprop:Generator_ColumnVarNameInTable="columnGENERAL_VIEWER" msprop:Generator_ColumnPropNameInRow="GENERAL_VIEWER" msprop:Generator_ColumnPropNameInTable="GENERAL_VIEWERColumn" msprop:Generator_UserColumnName="GENERAL_VIEWER">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="COMMENT" msprop:Generator_ColumnVarNameInTable="columnCOMMENT" msprop:Generator_ColumnPropNameInRow="COMMENT" msprop:Generator_ColumnPropNameInTable="COMMENTColumn" msprop:Generator_UserColumnName="COMMENT" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="WAN_ENVIRONMENT" msprop:Generator_ColumnVarNameInTable="columnWAN_ENVIRONMENT" msprop:Generator_ColumnPropNameInRow="WAN_ENVIRONMENT" msprop:Generator_ColumnPropNameInTable="WAN_ENVIRONMENTColumn" msprop:Generator_UserColumnName="WAN_ENVIRONMENT" type="xs:boolean" />
              <xs:element name="USERID_FK_INT_ECM" msprop:Generator_ColumnVarNameInTable="columnUSERID_FK_INT_ECM" msprop:Generator_ColumnPropNameInRow="USERID_FK_INT_ECM" msprop:Generator_ColumnPropNameInTable="USERID_FK_INT_ECMColumn" msprop:Generator_UserColumnName="USERID_FK_INT_ECM" type="xs:int" />
              <xs:element name="ATTR_CHAR1" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR1" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR1" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR1Column" msprop:Generator_UserColumnName="ATTR_CHAR1" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR2" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR2" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR2" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR2Column" msprop:Generator_UserColumnName="ATTR_CHAR2" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR3" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR3" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR3" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR3Column" msprop:Generator_UserColumnName="ATTR_CHAR3" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR4" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR4" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR4" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR4Column" msprop:Generator_UserColumnName="ATTR_CHAR4" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR5" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR5" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR5" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR5Column" msprop:Generator_UserColumnName="ATTR_CHAR5" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR6" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR6" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR6" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR6Column" msprop:Generator_UserColumnName="ATTR_CHAR6" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR7" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR7" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR7" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR7Column" msprop:Generator_UserColumnName="ATTR_CHAR7" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR8" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR8" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR8" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR8Column" msprop:Generator_UserColumnName="ATTR_CHAR8" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR9" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR9" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR9" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR9Column" msprop:Generator_UserColumnName="ATTR_CHAR9" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR10" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR10" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR10" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR10Column" msprop:Generator_UserColumnName="ATTR_CHAR10" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR11" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR11" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR11" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR11Column" msprop:Generator_UserColumnName="ATTR_CHAR11" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR12" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR12" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR12" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR12Column" msprop:Generator_UserColumnName="ATTR_CHAR12" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR13" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR13" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR13" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR13Column" msprop:Generator_UserColumnName="ATTR_CHAR13" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR14" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR14" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR14" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR14Column" msprop:Generator_UserColumnName="ATTR_CHAR14" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_CHAR15" msprop:Generator_ColumnVarNameInTable="columnATTR_CHAR15" msprop:Generator_ColumnPropNameInRow="ATTR_CHAR15" msprop:Generator_ColumnPropNameInTable="ATTR_CHAR15Column" msprop:Generator_UserColumnName="ATTR_CHAR15" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ATTR_BIT1" msprop:Generator_ColumnVarNameInTable="columnATTR_BIT1" msprop:Generator_ColumnPropNameInRow="ATTR_BIT1" msprop:Generator_ColumnPropNameInTable="ATTR_BIT1Column" msprop:Generator_UserColumnName="ATTR_BIT1" type="xs:boolean" />
              <xs:element name="ATTR_BIT2" msprop:Generator_ColumnVarNameInTable="columnATTR_BIT2" msprop:Generator_ColumnPropNameInRow="ATTR_BIT2" msprop:Generator_ColumnPropNameInTable="ATTR_BIT2Column" msprop:Generator_UserColumnName="ATTR_BIT2" type="xs:boolean" />
              <xs:element name="ATTR_BIT3" msprop:Generator_ColumnVarNameInTable="columnATTR_BIT3" msprop:Generator_ColumnPropNameInRow="ATTR_BIT3" msprop:Generator_ColumnPropNameInTable="ATTR_BIT3Column" msprop:Generator_UserColumnName="ATTR_BIT3" type="xs:boolean" />
              <xs:element name="ATTR_BIT4" msprop:Generator_ColumnVarNameInTable="columnATTR_BIT4" msprop:Generator_ColumnPropNameInRow="ATTR_BIT4" msprop:Generator_ColumnPropNameInTable="ATTR_BIT4Column" msprop:Generator_UserColumnName="ATTR_BIT4" type="xs:boolean" />
              <xs:element name="DELETED" msprop:Generator_ColumnVarNameInTable="columnDELETED" msprop:Generator_ColumnPropNameInRow="DELETED" msprop:Generator_ColumnPropNameInTable="DELETEDColumn" msprop:Generator_UserColumnName="DELETED" type="xs:boolean" />
              <xs:element name="DELETED_WHEN" msprop:Generator_ColumnVarNameInTable="columnDELETED_WHEN" msprop:Generator_ColumnPropNameInRow="DELETED_WHEN" msprop:Generator_ColumnPropNameInTable="DELETED_WHENColumn" msprop:Generator_UserColumnName="DELETED_WHEN" type="xs:dateTime" minOccurs="0" />
              <xs:element name="DELETED_WHO" msprop:Generator_ColumnVarNameInTable="columnDELETED_WHO" msprop:Generator_ColumnPropNameInRow="DELETED_WHO" msprop:Generator_ColumnPropNameInTable="DELETED_WHOColumn" msprop:Generator_UserColumnName="DELETED_WHO" type="xs:dateTime" minOccurs="0" />
              <xs:element name="DATE_FORMAT" msprop:Generator_ColumnVarNameInTable="columnDATE_FORMAT" msprop:Generator_ColumnPropNameInRow="DATE_FORMAT" msprop:Generator_ColumnPropNameInTable="DATE_FORMATColumn" msprop:Generator_UserColumnName="DATE_FORMAT">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ADDED_WHO" msprop:Generator_ColumnVarNameInTable="columnADDED_WHO" msprop:Generator_ColumnPropNameInRow="ADDED_WHO" msprop:Generator_ColumnPropNameInTable="ADDED_WHOColumn" msprop:Generator_UserColumnName="ADDED_WHO">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ADDED_WHEN" msprop:Generator_ColumnVarNameInTable="columnADDED_WHEN" msprop:Generator_ColumnPropNameInRow="ADDED_WHEN" msprop:Generator_ColumnPropNameInTable="ADDED_WHENColumn" msprop:Generator_UserColumnName="ADDED_WHEN" type="xs:dateTime" minOccurs="0" />
              <xs:element name="CHANGED_WHO" msprop:Generator_ColumnVarNameInTable="columnCHANGED_WHO" msprop:Generator_ColumnPropNameInRow="CHANGED_WHO" msprop:Generator_ColumnPropNameInTable="CHANGED_WHOColumn" msprop:Generator_UserColumnName="CHANGED_WHO" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CHANGED_WHEN" msprop:Generator_ColumnVarNameInTable="columnCHANGED_WHEN" msprop:Generator_ColumnPropNameInRow="CHANGED_WHEN" msprop:Generator_ColumnPropNameInTable="CHANGED_WHENColumn" msprop:Generator_UserColumnName="CHANGED_WHEN" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:TBDD_CONNECTION" />
      <xs:field xpath="mstns:GUID" />
    </xs:unique>
    <xs:unique name="TBDD_USER_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:TBDD_USER" />
      <xs:field xpath="mstns:GUID" />
    </xs:unique>
  </xs:element>
</xs:schema>